Subject: [Errata Held for Document Update] RFC7234 (6279)

From: RFC Errata System <[email-masked]>
Date: Thu, 29 Apr 2021 02:54:16 -0700 (PDT)

The following errata report has been held for document update 
for RFC7234, "Hypertext Transfer Protocol (HTTP/1.1): Caching". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6279

--------------------------------------
Status: Held for Document Update
Type: Technical

Reported by: Todd Greer <[email-masked]>
Date Reported: 2020-09-04
Held by: Francesca Palombini (IESG)

Section: 4.2.4

Original Text
-------------
A cache MUST NOT generate a stale response if it is prohibited by an
explicit in-protocol directive (e.g., by a "no-store" or "no-cache"
cache directive, a "must-revalidate" cache-response-directive, or an
applicable "s-maxage" or "proxy-revalidate" cache-response-directive;
see Section 5.2.2).

Corrected Text
--------------
A cache MUST NOT generate a stale response if it is prohibited by an
explicit in-protocol directive (e.g., by a "no-cache"
cache directive, a "must-revalidate" cache-response-directive, or an
applicable "s-maxage" or "proxy-revalidate" cache-response-directive;
see Section 5.2.2).

Notes
-----
The examples of directives that prohibit stale responses includes "no-store", but the definitions of "no-store" in 5.2.1.5 and 5.2.2.3 don't prohibit serving stale responses, and there is no other mention in RFC 7234 (or elsewhere) of "no-store" prohibiting serving stale responses.

If a "no-store" request directive is intended to prohibit serving stale responses, 5.2.1.5 should say so. (The question is meaningless for "no-store" response directives, since those should never be found in a cache.)

--------------------------------------
RFC7234 (draft-ietf-httpbis-p6-cache-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Caching
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., M. Nottingham, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG